<?php

class PoserDemo extends COREPOS\Fannie\API\FanniePlugin
{
    public $plugin_description = 'Plugin to demo Poser customization';

    public $plugin_settings = [

        'PoserDemoTailboneAPIURL' => [
            'label' => 'Tailbone API URL',
            'description' => 'Base URL for Tailbone API (usually ends with /api)',
        ],

        'PoserDemoTailboneAPIToken' => [
            'label' => 'Tailbone API Token',
            'description' => 'User auth token for use with Tailbone API',
        ],

        'PoserDemoTailboneAPIVerifySSL' => [
            'label' => 'Verify SSL',
            'description' => 'Validate SSL cert used by Tailbone API?',
            'options' => [
                "Yes, validate the SSL cert" => 'true',
                "No, do not validate the SSL cert (SHOULD ONLY BE USED FOR TESTING!)" => 'false',
            ],
            'default'=>'true',
        ],
    ];
}
